hpp-core: hpp::core::steeringMethod::Interpolated Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
hpp::core::steeringMethod::Interpolated Class Reference
Steering method and distance functions

`#include <hpp/core/steering-method/interpolated-steering-method.hh>`

Inheritance diagram for hpp::core::steeringMethod::Interpolated:
[legend]
Collaboration diagram for hpp::core::steeringMethod::Interpolated:
[legend]

## Public Member Functions
virtual SteeringMethodPtr_t | copy () const
| Copy instance and return shared pointer.
virtual PathPtr_t | impl_compute (ConfigurationIn_t q1, ConfigurationIn_t q2) const
| create a path between two configurations
Public Member Functions inherited from hpp::core::SteeringMethod
PathPtr_t | operator() (ConfigurationIn_t q1, ConfigurationIn_t q2) const
PathPtr_t | steer (ConfigurationIn_t q1, ConfigurationIn_t q2) const
virtual | ~SteeringMethod ()
ProblemConstPtr_t | problem () const
void | constraints (const ConstraintSetPtr_t &constraints)
| Set constraint set.
const ConstraintSetPtr_t & | constraints () const
| Get constraint set.

## Static Public Member Functions
static InterpolatedPtr_t | create (const DevicePtr_t &device)
| Create instance and return shared pointer.
static InterpolatedPtr_t | create (const DevicePtr_t &device, const WeighedDistancePtr_t &distance)
| Create instance and return shared pointer.
static InterpolatedPtr_t | createCopy (const InterpolatedPtr_t &other)
| Copy instance and return shared pointer.

## Protected Member Functions
| Interpolated (const DevicePtr_t &device)
| Interpolated (const DevicePtr_t &device, const WeighedDistancePtr_t &distance)
| Constructor with weighed distance.
| Interpolated (const Interpolated &other)
| Copy constructor.
void | init (InterpolatedWkPtr_t weak)
| Store weak pointer to itself.
Protected Member Functions inherited from hpp::core::SteeringMethod
| SteeringMethod (const ProblemConstPtr_t &problem)
| Constructor.
| SteeringMethod (const SteeringMethod &other)
void | init (SteeringMethodWkPtr_t weak)
| Store weak pointer to itself.

## Detailed Description

Steering method that creates StraightPath instances

## Constructor & Destructor Documentation

## ◆ Interpolated() [1/3]

hpp::core::steeringMethod::Interpolated::Interpolated | ( | const DevicePtr_t & | device | ) |
| inlineprotected

Constructor with robot Weighed distance is created from robot

## ◆ Interpolated() [2/3]

hpp::core::steeringMethod::Interpolated::Interpolated | ( | const DevicePtr_t & | device,
|  | const WeighedDistancePtr_t & | distance
| ) |  |
| inlineprotected

Constructor with weighed distance.

## ◆ Interpolated() [3/3]

hpp::core::steeringMethod::Interpolated::Interpolated | ( | const Interpolated & | other | ) |
| inlineprotected

Copy constructor.

## Member Function Documentation

## ◆ copy()

virtual SteeringMethodPtr_t hpp::core::steeringMethod::Interpolated::copy | ( |  | ) | const
| inlinevirtual

Copy instance and return shared pointer.

Implements hpp::core::SteeringMethod.

## ◆ create() [1/2]

static InterpolatedPtr_t hpp::core::steeringMethod::Interpolated::create | ( | const DevicePtr_t & | device | ) |
| inlinestatic

Create instance and return shared pointer.

## ◆ create() [2/2]

static InterpolatedPtr_t hpp::core::steeringMethod::Interpolated::create | ( | const DevicePtr_t & | device,
|  | const WeighedDistancePtr_t & | distance
| ) |  |
| inlinestatic

Create instance and return shared pointer.

## ◆ createCopy()

static InterpolatedPtr_t hpp::core::steeringMethod::Interpolated::createCopy | ( | const InterpolatedPtr_t & | other | ) |
| inlinestatic

Copy instance and return shared pointer.

## ◆ impl_compute()

virtual PathPtr_t hpp::core::steeringMethod::Interpolated::impl_compute | ( | ConfigurationIn_t | q1,
|  | ConfigurationIn_t | q2
| ) |  | const
| inlinevirtual

create a path between two configurations

Implements hpp::core::SteeringMethod.

## ◆ init()

void hpp::core::steeringMethod::Interpolated::init | ( | InterpolatedWkPtr_t | weak | ) |
| inlineprotected

Store weak pointer to itself.

The documentation for this class was generated from the following file:

- include/hpp/core/steering-method/interpolated-steering-method.hh